Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Fixing spec running issues in master that are already fixed in invoic…

…e-creation branch by replacing Rspec with RSpec and updating to rspec 2.11.0 and adding uuidtools as depencencies.
  • Loading branch information...
commit 97423bd1cf4cf11b673935bfc57622aaa4677d3b 1 parent ed1d902
@walter walter authored
View
36 Gemfile.lock
@@ -1,44 +1,44 @@
PATH
remote: .
specs:
- quickeebooks (0.0.1)
+ quickeebooks (0.0.3)
activemodel
nokogiri
oauth
roxml
+ uuidtools
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.2.1)
- activesupport (= 3.2.1)
+ activemodel (3.2.6)
+ activesupport (= 3.2.6)
builder (~> 3.0.0)
- activesupport (3.2.1)
+ activesupport (3.2.6)
i18n (~> 0.6)
multi_json (~> 1.0)
builder (3.0.0)
diff-lcs (1.1.3)
fakeweb (1.3.0)
i18n (0.6.0)
- multi_json (1.1.0)
- nokogiri (1.5.0)
- oauth (0.4.5)
+ multi_json (1.3.6)
+ nokogiri (1.5.5)
+ oauth (0.4.6)
rake (0.9.2.2)
rcov (0.9.11)
roxml (3.3.1)
activesupport (>= 2.3.0)
nokogiri (>= 1.3.3)
rr (1.0.4)
- rspec (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rspec-mocks (~> 2.0.1)
- rspec-core (2.0.1)
- rspec-expectations (2.0.1)
- diff-lcs (>= 1.1.2)
- rspec-mocks (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
+ rspec (2.11.0)
+ rspec-core (~> 2.11.0)
+ rspec-expectations (~> 2.11.0)
+ rspec-mocks (~> 2.11.0)
+ rspec-core (2.11.0)
+ rspec-expectations (2.11.1)
+ diff-lcs (~> 1.1.3)
+ rspec-mocks (2.11.1)
+ uuidtools (2.1.2)
PLATFORMS
ruby
@@ -49,4 +49,4 @@ DEPENDENCIES
rake
rcov (~> 0.9.8)
rr (~> 1.0.2)
- rspec (~> 2.0.0)
+ rspec (= 2.11.0)
View
2  Rakefile
@@ -12,6 +12,6 @@ require "quickeebooks"
task :default => :spec
desc "Run all specs"
-Rspec::Core::RakeTask.new(:spec) do |t|
+RSpec::Core::RakeTask.new(:spec) do |t|
t.pattern = 'spec/**/*_spec.rb'
end
View
3  quickeebooks.gemspec
@@ -18,10 +18,11 @@ Gem::Specification.new do |gem|
gem.add_dependency 'oauth'
gem.add_dependency 'nokogiri'
gem.add_dependency 'activemodel'
+ gem.add_dependency 'uuidtools'
gem.add_development_dependency 'rake'
gem.add_development_dependency 'rcov', '~> 0.9.8'
gem.add_development_dependency 'rr', '~> 1.0.2'
- gem.add_development_dependency 'rspec', '~> 2.0.0'
+ gem.add_development_dependency 'rspec', '2.11.0'
gem.add_development_dependency 'fakeweb'
end
View
2  spec/spec_helper.rb
@@ -14,7 +14,7 @@ def mock_exit(&block)
block.should raise_error(SystemExit)
end
-Rspec.configure do |config|
+RSpec.configure do |config|
config.color_enabled = true
config.mock_with :rr
end
Please sign in to comment.
Something went wrong with that request. Please try again.